Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.gui
Interface Displayable

All Known Implementing Classes:
  Display, Display2D, HexaDisplay2D, InfiniteSpaceDisplay, MultiObject2DDisplay, Network2DDisplay, Network2DGridDisplay, Object2DDisplay, Object2DHexaDisplay, TextDisplay, Value2DDisplay, Value2DHexaDisplay, VectorDisplay

    public interface Displayable

Interface for objects that can be displayed on a DisplaySurface. DisplaySurface calls the drawDisplay method to draw the Displayable object. Consequently, a user should never need to call the drawDisplay method. The Display* classes implement this interface.

Version:
  $Revision: 1.4 $ $Date: 2004/11/03 19:50:59 $
Author:
  Nick Collier

Field Summary
`static int` | `TOGGLE_LINKS`
`static int` | `TOGGLE_NODES`
`static int` | `TOGGLE_UPDATE_LAYOUT`
`static int` | `TOGGLE_VIEW`
`static int` | `TOGGLE_WRAP`

Method Summary
`void` | `drawDisplay(SimGraphics g)` Draws whatever implements this interface on the SimGraphics object
`java.util.ArrayList` | `getDisplayableInfo()` Returns an ArrayList of DisplayInfo objects used by a DisplaySurface to create the View menu for that displayable
`java.awt.Dimension` | `getSize()` Gets the size of the display.
`void` | `viewEventPerformed(ViewEvent evt)` Invoked when a display event occurs, through the view menu of a display surface for example.

Field Detail

### TOGGLE_VIEW

    static final int TOGGLE_VIEW

See Also:
  Constant Field Values

### TOGGLE_NODES

    static final int TOGGLE_NODES

See Also:
  Constant Field Values

### TOGGLE_LINKS

    static final int TOGGLE_LINKS

See Also:
  Constant Field Values

### TOGGLE_WRAP

    static final int TOGGLE_WRAP

See Also:
  Constant Field Values

### TOGGLE_UPDATE_LAYOUT

    static final int TOGGLE_UPDATE_LAYOUT

See Also:
  Constant Field Values

Method Detail

### drawDisplay

    void drawDisplay(SimGraphics g)

  Draws whatever implements this interface on the SimGraphics object

### getDisplayableInfo

    java.util.ArrayList getDisplayableInfo()

  Returns an ArrayList of DisplayInfo objects used by a DisplaySurface to create the View menu for that displayable

  See Also:
    `DisplayInfo`

### viewEventPerformed

    void viewEventPerformed(ViewEvent evt)

  Invoked when a display event occurs, through the view menu of a display surface for example. Not used to do the actual drawing.

### getSize

    java.awt.Dimension getSize()

  Gets the size of the display.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD